Skip to content
v2.274.0

CfnGroup L1 construct ​

AWS IoT Greengrass seamlessly extends AWS to edge devices so they can act locally on the data they generate, while still using the cloud for management, analytics, and durable storage.

With AWS IoT Greengrass , connected devices can run AWS Lambda functions, execute predictions based on machine learning models, keep device data in sync, and communicate with other devices securely – even when not connected to the internet. For more information, see the Developer Guide .

For AWS Region support, see CloudFormation Support for AWS IoT Greengrass in the Developer Guide .

The AWS::Greengrass::Group resource represents a group in AWS IoT Greengrass . In the AWS IoT Greengrass API, groups are used to organize your group versions.

Groups can reference multiple group versions. All group versions must be associated with a group. A group version references a device definition version, subscription definition version, and other version types that contain the components you want to deploy to a Greengrass core device.

To deploy a group version, the group version must reference a core definition version that contains one core. Other version types are optionally included, depending on your business need.

When you create a group, you can optionally include an initial group version. To associate a group version later, create a AWS::Greengrass::GroupVersion resource and specify the ID of this group.

To change group components (such as devices, subscriptions, or functions), you must create new versions. This is because versions are immutable. For example, to add a function, you create a function definition version that contains the new function (and all other functions that you want to deploy). Then you create a group version that references the new function definition version (and all other version types that you want to deploy).

Deploying a Group Version

After you create the group version in your CloudFormation template, you can deploy it using the aws greengrass create-deployment command in the AWS CLI or from the Greengrass node in the AWS IoT console. To deploy a group version, you must have a Greengrass service role associated with your AWS account . For more information, see CloudFormation Support for AWS IoT Greengrass in the Developer Guide .

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_greengrass as greengrass } from 'aws-cdk-lib';

declare const tags: any;
const cfnGroup = new greengrass.CfnGroup(this, 'MyCfnGroup', {
  name: 'name',

  // the properties below are optional
  initialVersion: {
    connectorDefinitionVersionArn: 'connectorDefinitionVersionArn',
    coreDefinitionVersionArn: 'coreDefinitionVersionArn',
    deviceDefinitionVersionArn: 'deviceDefinitionVersionArn',
    functionDefinitionVersionArn: 'functionDefinitionVersionArn',
    loggerDefinitionVersionArn: 'loggerDefinitionVersionArn',
    resourceDefinitionVersionArn: 'resourceDefinitionVersionArn',
    subscriptionDefinitionVersionArn: 'subscriptionDefinitionVersionArn',
  },
  roleArn: 'roleArn',
  tags: tags,
});
python
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_greengrass as greengrass

# tags: Any

cfn_group = greengrass.CfnGroup(self, "MyCfnGroup",
    name="name",

    # the properties below are optional
    initial_version=greengrass.CfnGroup.GroupVersionProperty(
        connector_definition_version_arn="connectorDefinitionVersionArn",
        core_definition_version_arn="coreDefinitionVersionArn",
        device_definition_version_arn="deviceDefinitionVersionArn",
        function_definition_version_arn="functionDefinitionVersionArn",
        logger_definition_version_arn="loggerDefinitionVersionArn",
        resource_definition_version_arn="resourceDefinitionVersionArn",
        subscription_definition_version_arn="subscriptionDefinitionVersionArn"
    ),
    role_arn="roleArn",
    tags=tags
)
java
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.greengrass.*;

Object tags;

CfnGroup cfnGroup = CfnGroup.Builder.create(this, "MyCfnGroup")
        .name("name")

        // the properties below are optional
        .initialVersion(GroupVersionProperty.builder()
                .connectorDefinitionVersionArn("connectorDefinitionVersionArn")
                .coreDefinitionVersionArn("coreDefinitionVersionArn")
                .deviceDefinitionVersionArn("deviceDefinitionVersionArn")
                .functionDefinitionVersionArn("functionDefinitionVersionArn")
                .loggerDefinitionVersionArn("loggerDefinitionVersionArn")
                .resourceDefinitionVersionArn("resourceDefinitionVersionArn")
                .subscriptionDefinitionVersionArn("subscriptionDefinitionVersionArn")
                .build())
        .roleArn("roleArn")
        .tags(tags)
        .build();
csharp
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.Greengrass;

var tags;

var cfnGroup = new CfnGroup(this, "MyCfnGroup", new CfnGroupProps {
    Name = "name",

    // the properties below are optional
    InitialVersion = new GroupVersionProperty {
        ConnectorDefinitionVersionArn = "connectorDefinitionVersionArn",
        CoreDefinitionVersionArn = "coreDefinitionVersionArn",
        DeviceDefinitionVersionArn = "deviceDefinitionVersionArn",
        FunctionDefinitionVersionArn = "functionDefinitionVersionArn",
        LoggerDefinitionVersionArn = "loggerDefinitionVersionArn",
        ResourceDefinitionVersionArn = "resourceDefinitionVersionArn",
        SubscriptionDefinitionVersionArn = "subscriptionDefinitionVersionArn"
    },
    RoleArn = "roleArn",
    Tags = tags
});
go
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"

var tags interface{}

cfnGroup := awscdk.Aws_greengrass.NewCfnGroup(this, jsii.String("MyCfnGroup"), &CfnGroupProps{
	Name: jsii.String("name"),

	// the properties below are optional
	InitialVersion: &GroupVersionProperty{
		ConnectorDefinitionVersionArn: jsii.String("connectorDefinitionVersionArn"),
		CoreDefinitionVersionArn: jsii.String("coreDefinitionVersionArn"),
		DeviceDefinitionVersionArn: jsii.String("deviceDefinitionVersionArn"),
		FunctionDefinitionVersionArn: jsii.String("functionDefinitionVersionArn"),
		LoggerDefinitionVersionArn: jsii.String("loggerDefinitionVersionArn"),
		ResourceDefinitionVersionArn: jsii.String("resourceDefinitionVersionArn"),
		SubscriptionDefinitionVersionArn: jsii.String("subscriptionDefinitionVersionArn"),
	},
	RoleArn: jsii.String("roleArn"),
	Tags: tags,
})

Initializer ​

ts
new CfnGroup(scope: Construct, id: string, props: CfnGroupProps)
python
CfnGroup(scope: Construct, id: str, props: CfnGroupProps)
java
new CfnGroup(Construct scope, String id, CfnGroupProps props)
csharp
new CfnGroup(Construct scope, string id, CfnGroupProps props)
go
NewCfnGroup(Scope Construct, Id *string, Props CfnGroupProps)

Construct Props ​

initialVersionoptionalIResolvable | CfnGroup.GroupVersionPropertyinitial_versionoptionaltyping.Union[IResolvable, GroupVersionProperty]initialVersionoptionalIResolvableInitialVersionoptionalIResolvableInitialVersionoptionalinterface{}#
The group version to include when the group is created.
notes

A group version references the Amazon Resource Name (ARN) of a core definition version, device definition version, subscription definition version, and other version types. The group version must reference a core definition version that contains one core. Other version types are optionally included, depending on your business need.

To associate a group version after the group is created, create an AWS::Greengrass::GroupVersion resource and specify the ID of this group.

namestringnamestrnameStringNamestringName*stringrequired#
The name of the group.
roleArnoptionalstringrole_arnoptionalstrroleArnoptionalStringRoleArnoptionalstringRoleArnoptional*string#
The Amazon Resource Name (ARN) of the IAM role attached to the group.

This role contains the permissions that Lambda functions and connectors use to interact with other AWS services.

tagsoptionalanytagsoptionalAnytagsoptionalObjectTagsoptionalobjectTagsoptionalinterface{}#
Application-specific metadata to attach to the group.
notes

You can use tags in IAM policies to control access to AWS IoT Greengrass resources. You can also use tags to categorize your resources. For more information, see Tagging Your AWS IoT Greengrass Resources in the Developer Guide .

This Json property type is processed as a map of key-value pairs. It uses the following format, which is different from most Tags implementations in CloudFormation templates.

json
"Tags": { "KeyName0": "value", "KeyName1": "value", "KeyName2": "value"
}

Properties ​

attrArnstringattr_arnstrattrArnStringAttrArnstringAttrArn*stringrequired#
The ARN of the `Group` , such as `arn:aws:greengrass:us-east-1: :/greengrass/definition/groups/1234a5b6-78cd-901e-2fgh-3i45j6k178l9` .
attrIdstringattr_idstrattrIdStringAttrIdstringAttrId*stringrequired#
The ID of the `Group` , such as `1234a5b6-78cd-901e-2fgh-3i45j6k178l9` .
attrLatestVersionArnstringattr_latest_version_arnstrattrLatestVersionArnStringAttrLatestVersionArnstringAttrLatestVersionArn*stringrequired#
The ARN of the last `GroupVersion` that was added to the `Group` , such as `arn:aws:greengrass:us-east-1: :/greengrass/definition/groups/1234a5b6-78cd-901e-2fgh-3i45j6k178l9/versions/9876ac30-4bdb-4f9d-95af-b5fdb66be1a2` .
attrNamestringattr_namestrattrNameStringAttrNamestringAttrName*stringrequired#
The name of the `Group` , such as `MyGroup` .
attrRoleArnstringattr_role_arnstrattrRoleArnStringAttrRoleArnstringAttrRoleArn*stringrequired#
The ARN of the IAM role that's attached to the `Group` , such as `arn:aws:iam:: :role/role-name` .
attrRoleAttachedAtstringattr_role_attached_atstrattrRoleAttachedAtStringAttrRoleAttachedAtstringAttrRoleAttachedAt*stringrequired#
The time (in milliseconds since the epoch) when the group role was attached to the `Group` .
CFN_RESOURCE_TYPE_NAMEstringcfn_resource_type_namestrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*stringrequiredstatic#
The CloudFormation resource type name for this resource class.
Options for this resource, such as condition, update policy etc.
cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*stringrequired#
AWS resource type.
creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*stringrequired#
groupRefGroupReferencegroup_refGroupReferencegroupRefGroupReferenceGroupRefGroupReferenceGroupRefGroupReferencerequired#
A reference to a Group resource.
initialVersionmay be undefinedIResolvable | CfnGroup.GroupVersionPropertyinitial_versionmay be undefinedtyping.Union[IResolvable, GroupVersionProperty]initialVersionmay be undefinedIResolvableInitialVersionmay be undefinedIResolvableInitialVersionmay be undefinedinterface{}#
The group version to include when the group is created.
logicalIdstringlogical_idstrlogicalIdStringLogicalIdstringLogicalId*stringrequired#
The logical ID for this CloudFormation stack element.

The logical ID of the element is calculated from the path of the resource node in the construct tree.

To override this value, use overrideLogicalId(newLogicalId).

namestringnamestrnameStringNamestringName*stringrequired#
The name of the group.
nodeNodenodeNodenodeNodeNodeNodeNodeNoderequired#
The tree node.
refstringrefstrrefStringRefstringRef*stringrequired#
Return a string that will be resolved to a CloudFormation `{ Ref }` for this element.

If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).

roleArnmay be undefinedstringrole_arnmay be undefinedstrroleArnmay be undefinedStringRoleArnmay be undefinedstringRoleArnmay be undefined*string#
The Amazon Resource Name (ARN) of the IAM role attached to the group.
stackStackstackStackstackStackStackStackStackStackrequired#
The stack in which this element is defined.

CfnElements must be defined within a stack scope (directly or indirectly).

Tag Manager which manages the tags for this resource.
tagsRawanytags_rawAnytagsRawObjectTagsRawobjectTagsRawinterface{}required#
Application-specific metadata to attach to the group.

Methods ​

addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string)#
Syntactic sugar for `addOverride(path, undefined)`.
1 parameter

Parameters

  • pathpathpathpathPath — The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource)deprecated#
Use `addResourceDependency` instead.

This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.

addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource)deprecated#
Use `addResourceDependency` instead.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.

addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{})#
Add a value to the CloudFormation Resource Metadata.
addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{})#
Adds an override to the synthesized CloudFormation resource.
notes · 2 parameters

To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).

If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.

To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.

For example,

typescript
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');

would add the overrides

json
"Properties": {
  "GlobalSecondaryIndexes": [
    {
      "Projection": {
        "NonKeyAttributes": [ "myattribute" ]
        ...
      }
      ...
    },
    {
      "ProjectionType": "INCLUDE"
      ...
    },
  ]
  ...
}

The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.

Parameters

  • pathpathpathpathPath — - The path of the property, you can use dot notation to override values in complex types.
  • valuevaluevaluevalueValue — - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string)#
Adds an override that deletes the value of a property from the resource definition.
1 parameter

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{})#
Adds an override to a resource property.

Syntactic sugar for addOverride("Properties.<...>", value).

2 parameters

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path of the property.
  • valuevaluevaluevalueValue — The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string)#
Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.

applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength)#
Sets the cross-stack reference strength for this resource.

When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.

1 parameter

Parameters

  • strengthstrengthstrengthstrengthStrength — - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions)#
Sets the deletion policy of the resource based on the removal policy specified.
notes

The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.

The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:

arnForGroup(resource: IGroupRef): string@staticmethod def arn_for_group(resource: IGroupRef) -> strpublic static String arnForGroup(IGroupRef resource)public static string ArnForGroup(IGroupRef resource)func ArnForGroup(Resource IGroupRef) *stringstatic#
cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string#
fromGroupArn(scope: Construct, id: string, arn: string): IGroupRef@staticmethod def from_group_arn(scope: Construct, id: str, arn: str) -> IGroupRefpublic static IGroupRef fromGroupArn(Construct scope, String id, String arn)public static IGroupRef FromGroupArn(Construct scope, string id, string arn)func FromGroupArn(Scope Construct, Id *string, Arn *string) IGroupRefstatic#
Creates a new IGroupRef from an ARN.
fromGroupId(scope: Construct, id: string, groupId: string): IGroupRef@staticmethod def from_group_id(scope: Construct, id: str, group_id: str) -> IGroupRefpublic static IGroupRef fromGroupId(Construct scope, String id, String groupId)public static IGroupRef FromGroupId(Construct scope, string id, string groupId)func FromGroupId(Scope Construct, Id *string, GroupId *string) IGroupRefstatic#
Creates a new IGroupRef from a groupId.
getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference#
Returns a token for an runtime attribute of this resource.

Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.

1 parameter

Parameters

  • attributeNameattribute_nameattributeNameattributeNameAttributeName — The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{}#
Retrieve a value value from the CloudFormation Resource Metadata.
inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector)#
Examines the CloudFormation resource and discloses attributes.
1 parameter

Parameters

  • inspectorinspectorinspectorinspectorInspector — tree inspector to collect and process attributes.
isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *boolstatic#
Returns `true` if a construct is a stack element (i.e. part of the synthesized cloudformation template).

Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.

returns

Returns: The construct as a stack element or undefined if it is not a stack element.

isCfnGroup(x: any): boolean@staticmethod def is_cfn_group(x: Any) -> boolpublic static Boolean isCfnGroup(Object x)public static bool IsCfnGroup(object x)func IsCfnGroup(X interface{}) *boolstatic#
Checks whether the given object is a CfnGroup.
isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *boolstatic#
Check whether the given object is a CfnResource.
isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *boolstatic#
Checks if `x` is a construct.
notes · 1 parameter · returns

Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.

Parameters

  • xxxxX — Any object.

Returns: true if x is an object created from a class which extends Construct.

obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{}#
Retrieves an array of resources and stacks this resource depends on.

For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.

overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string)#
Overrides the auto-generated logical ID with a specific ID.
1 parameter

Parameters

  • newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId — The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource)deprecated#
Use `removeResourceDependency` instead

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource)#
Indicates that this resource no longer depends on another resource.

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource)#
Replaces one dependency with another.
2 parameters

Parameters

  • targettargettargettargetTarget — The dependency to replace.
  • newTargetnew_targetnewTargetnewTargetNewTarget — The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string#
Returns a string representation of this construct.
returns

Returns: a string representation of this resource

with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct#
Applies one or more mixins to this construct.

Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.